Parselv1.0.0
Shipments

Create shipment

Create a shipment with origin, destination, and parcel details, and retrieve available rates. If buy_cheapest_rate is true, the cheapest rate will be bought and a shipping label will be created.

POST
/shipments

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Shipment params

Response Body

application/json

application/json

curl -X POST "https://api.parsel.app/shipments" \  -H "Content-Type: application/json" \  -d '{    "customs_info": {      "customs_items": [        {          "description": "Cotton T-shirt",          "harmonized_system_code": "6109.10.00",          "origin_country": "US",          "quantity": 3,          "value": 10,          "weight": 5,          "weight_unit": "OZ"        }      ],      "customs_signer": "Steve Brule",      "incoterm": "DAP"    },    "destination": {      "city": "New York",      "company": "Acme Inc.",      "country": "US",      "email": "jane.doe@example.com",      "name": "Jill",      "phone": "+1234567890",      "state": "NY",      "street1": "169 Madison Avenue",      "street2": "#2041",      "zip": "10016"    },    "origin": {      "city": "Atlanta",      "company": "Acme Inc.",      "country": "US",      "email": "john.doe@example.com",      "name": "John Doe",      "phone": "+1234567890",      "state": "GA",      "street1": "313 Nelson Street Southwest",      "street2": "Suite 16001",      "zip": "30313"    },    "parcel": {      "height": 1.1,      "length": 1.1,      "length_unit": "IN",      "weight": 1.1,      "weight_unit": "OZ",      "width": 1.1    },    "return_address": {      "city": "Return City",      "company": "Return Center Inc.",      "country": "US",      "email": "returns@example.com",      "name": "Return Center",      "phone": "+1234567890",      "state": "CA",      "street1": "456 Return St",      "zip": "90210"    }  }'
{
  "created_at": {},
  "custom_reference_1": "Custom Reference 1",
  "custom_reference_2": "Custom Reference 2",
  "customs_info": {
    "customs_items": [
      {
        "description": "Cotton T-shirt",
        "harmonized_system_code": "6109.10.00",
        "origin_country": "US",
        "quantity": 3,
        "value": 10,
        "weight": 5,
        "weight_unit": "OZ"
      }
    ],
    "customs_signer": "Steve Brule",
    "incoterm": "DAP"
  },
  "destination": {
    "city": "Anytown",
    "company": "Acme Inc.",
    "country": "US",
    "email": "jane.doe@example.com",
    "name": "Jane Doe",
    "phone": "+1234567890",
    "state": "CA",
    "street1": "123 Main St",
    "zip": "12345"
  },
  "id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
  "origin": {
    "city": "Anytown",
    "company": "Acme Inc.",
    "country": "US",
    "email": "john.doe@example.com",
    "name": "John Doe",
    "phone": "+1234567890",
    "state": "CA",
    "street1": "123 Main St",
    "zip": "12345"
  },
  "parcel": {
    "height": 10,
    "length": 10,
    "length_unit": "IN",
    "weight": 10,
    "weight_unit": "OZ",
    "width": 10
  },
  "shipping_rates": [
    {
      "carrier": "UPS",
      "estimated_delivery_date": {},
      "estimated_delivery_days": 3,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "price": {
        "amount": 10,
        "currency": "USD"
      },
      "service": "Ground",
      "rate_metadata": {
        "billable_weight": 12,
        "surcharge_metadata": {
          "surcharge": {
            "amount": 2.5,
            "currency": "USD"
          },
          "surcharge_type": "DAS"
        },
        "surcharges_metadata": [
          {
            "surcharge": {
              "amount": 2.5,
              "currency": "USD"
            },
            "surcharge_type": "DAS"
          },
          {
            "surcharge": {
              "amount": 35,
              "currency": "USD"
            },
            "surcharge_type": "HANDLING"
          }
        ],
        "usps_zone": 5,
        "weight_metadata": {
          "actual_oz_weight": 10,
          "billable_oz_weight": 12,
          "dim_factor": 166,
          "dim_threshold": 1728,
          "volume": 1000
        }
      }
    },
    {
      "carrier": "USPS",
      "estimated_delivery_date": {},
      "estimated_delivery_days": 10,
      "id": "123e4567-e89b-12d3-a456-426614174001",
      "price": {
        "amount": 10,
        "currency": "USD"
      },
      "service": "GroundAdvantage",
      "rate_metadata": {
        "billable_weight": 12,
        "surcharge_metadata": {
          "surcharge": {
            "amount": 2.5,
            "currency": "USD"
          },
          "surcharge_type": "DAS"
        },
        "surcharges_metadata": [
          {
            "surcharge": {
              "amount": 2.5,
              "currency": "USD"
            },
            "surcharge_type": "DAS"
          },
          {
            "surcharge": {
              "amount": 35,
              "currency": "USD"
            },
            "surcharge_type": "HANDLING"
          }
        ],
        "usps_zone": 5,
        "weight_metadata": {
          "actual_oz_weight": 10,
          "billable_oz_weight": 12,
          "dim_factor": 166,
          "dim_threshold": 1728,
          "volume": 1000
        }
      }
    }
  ],
  "status": "OPEN",
  "updated_at": {},
  "zone": 1
}
{
  "errors": {
    "message": "The request could not be processed",
    "reasons": [
      {
        "carrier": "UniUni",
        "message": "Zip code not serviced."
      }
    ],
    "status": "Unprocessable Entity"
  }
}